# Autenticación de transmisión de video

### Descripción general del flujo de autenticación de video

![](/files/vKO79udT4ocQZK1jEV2O)

Un operador puede establecer parámetros al inicializar el Centro de Eventos para habilitar o deshabilitar el video en la interfaz de usuario. El mensaje que se muestra a los usuarios se puede configurar de antemano.

```
frontRowSeat.eventCentre({
  ..
  options: {
    videoPlaybackEnabled: true/false
  }
)
```

También sería posible actualizar este valor en tiempo de ejecución.

```
.emit(OptionsUpdate: {
  videoPlaybackEnabled: true/false
})
```

Cuando un usuario pulsa "play", el Centro de Eventos emite un mensaje solicitando al operador que autentique la reproducción del video.

```
.on(VideoPlaybackAuthRequest, {
  messageType: 'VideoPlaybackAuthRequest'
})
```

El operador debe responder con el token de autenticación utilizando las pautas existentes descritas en la Documentación de transmisión de IMG. Es importante que los campos operatorId y timestamp se correspondan con los usados para crear el token.

```
.emit(VideoPlaybackAuthResponse, {
  messageType: 'VideoPlaybackAuthResponse',
  operatorId: '<OPERATOR-ALC-ID>'.
  auth: '<OPERATOR-ALC-TOKEN>',
  timestamp: 1576339325918
})
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/ufc-5.0/ufc-5.0-latam-spanish/video-stream-authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
